package sqldb

import (
	"dashboard/dao/sqldb/sqlite"
	"dashboard/logger"
)

var (
	log *logger.Logger
	db  *SqlDb
)

func SqlDbInit(_log *logger.Logger, _db *SqlDb) error {
	db = _db
	log = _log

	_, err := db.Exec(sqlite.CreateUserSql)
	if err != nil {
		log.Sugar().Errorf("Crete user table error: %v", err)
		return err
	}

	return nil
}
